Bug 697106 - (cov#10770) Need to call va_end() after calling va_start()
(cov#10770) Need to call va_end() after calling va_start()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: 389-adminutil (Show other bugs)
19
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Nathan Kinder
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks: 434915
  Show dependency treegraph
 
Reported: 2011-04-15 16:47 EDT by Nathan Kinder
Modified: 2015-02-18 06:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:20:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for cov#10770 (1.13 KB, patch)
2011-04-15 16:48 EDT, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Additional patch (1.11 KB, patch)
2011-04-18 11:53 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2011-04-15 16:47:09 EDT
In adminutil, we call va_start() in servssl_error() and servssl_warn() functions, but we never call va_end().  We should be calling va_end() in these functions.
Comment 1 Nathan Kinder 2011-04-15 16:48:51 EDT
Created attachment 492503 [details]
Patch for cov#10770
Comment 2 Nathan Kinder 2011-04-15 17:26:54 EDT
Pushed to master.  Thanks to Rich for his review!

Counting objects: 16, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (10/10), done.
Writing objects: 100% (10/10), 1.14 KiB, done.
Total 10 (delta 7), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/adminutil.git
   ba20398..f20dc1b  master -> master
Comment 3 Nathan Kinder 2011-04-18 11:53:43 EDT
Created attachment 492924 [details]
Additional patch

The previous patch had a typo in the va_end() function name.  This fixes that typo.
Comment 4 Nathan Kinder 2011-04-18 11:54:04 EDT
Pushed additional patch to master.

Counting objects: 9, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 531 bytes, done.
Total 5 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/adminutil.git
   5590b3e..2db116d  master -> master
Comment 7 Fedora Update System 2011-06-21 15:52:34 EDT
389-adminutil-1.1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc15
Comment 8 Fedora Update System 2011-06-21 15:53:50 EDT
389-adminutil-1.1.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc14
Comment 9 Fedora Update System 2011-06-21 16:06:19 EDT
389-adminutil-1.1.14-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc13
Comment 10 Fedora Update System 2011-06-21 16:07:41 EDT
389-adminutil-1.1.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.el5
Comment 11 Fedora Update System 2011-09-08 02:59:13 EDT
389-adminutil-1.1.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-09-08 03:00:40 EDT
389-adminutil-1.1.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-09-08 20:01:15 EDT
389-adminutil-1.1.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Amita Sharma 2011-11-30 04:40:16 EST
Need to be verified by dev as co-verity issue.
Thanks,
Amita
Comment 15 Nathan Kinder 2011-11-30 11:17:44 EST
This issue does not show up in our current coverity scans of adminutil.  Marking as VERIFIED.
Comment 16 Fedora End Of Life 2013-04-03 16:41:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Fedora End Of Life 2015-01-09 17:41:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 06:20:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.